package com.holmos.cache.systemtask;

import com.holmos.cache.HolmosCache;
import com.holmos.cache.state.HolmosCacheState;

/**
 * 不间断的获取缓存状态的任务
 * 
 * @author 吴银龙(sunshine307087558@gmail.com)
 * 
 * */
public class HolmosGetCacheStateTask extends HolmosAbstractTask{

	private HolmosCacheState state;
	private HolmosCache cache;
	
	public HolmosGetCacheStateTask(HolmosCache cache){
		this.cache=cache;
	}
	
	@Override
	protected void doRun() {
		this.state=cache.getCacheState();
	}

	public HolmosCacheState getState() {
		return state;
	}
}
