package com.holmos.cache.systemtask;

import com.holmos.cache.HolmosCache;

/**
 * 更新缓存信息：
 * <li>将处于删除状态的信息移除缓存</li>
 * 
 * 
 * */
public class HolmosRemoveDeletedDataTask extends HolmosAbstractTask{

	private HolmosCache cache;
	
	public HolmosRemoveDeletedDataTask(HolmosCache cache){
		this.cache=cache;
	}
	
	@Override
	protected void doRun() {
		cache.removeDeletedData();
	}

}
