package com.holmos.cache;

import com.holmos.cache.config.HolmosCacheConfig;
import com.holmos.cache.store.HolmosCacheStore;

public abstract class HolmosAbstractCache implements HolmosCache{
	
	/**缓存存储仓库*/
	HolmosCacheStore cacheStore;
	
	/**缓存配置信息*/
	HolmosCacheConfig cacheConfig;
	
	/**
	 * 根据配置文件信息初始化此缓存对象
	 * 
	 * @param cacheConfig 缓存配置信息
	 * */
	public void init(HolmosCacheConfig cacheConfig){
		this.cacheConfig=cacheConfig;
	}
	public void setCacheStore(HolmosCacheStore cacheStore){
		this.cacheStore=cacheStore;
	}
	public HolmosAbstractCache(){
		
	}
}
