package com.holmos.cache.size.layout.sizegetter;

import com.holmos.cache.size.layout.impl.Hotspot32MemoryLayoutSpecification;
import com.holmos.cache.size.layout.sizegetter.impl.ArraySizeGetter;
import com.holmos.cache.size.layout.sizegetter.impl.ObjectSizeGetter;

/**
 * 对象大小获取器生成工厂
 * 
 * @author 吴银龙(sunshine307087558@gmail.com)
 * 
 * */
public class SizeGetterFactory {
	public final static ArraySizeGetter ARRAY_SIZE_GETTER=new ArraySizeGetter(
			new Hotspot32MemoryLayoutSpecification());
	public final static ObjectSizeGetter OBJECT_SIZE_GETTER=new ObjectSizeGetter(
			new Hotspot32MemoryLayoutSpecification());
}
